## libgsl-ruby 1.9.2

=== ext/Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = /home/yoshiki/Ruby/rb-gsl/ext
topdir = /usr/local/lib/ruby/1.8/i386-cygwin
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
prefix = $(DESTDIR)/usr/local
exec_prefix = $(DESTDIR)/usr/local
sitedir = $(DESTDIR)/usr/local/lib/ruby/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
docdir = $(datarootdir)/doc/$(PACKAGE)
dvidir = $(docdir)
datarootdir = $(prefix)/share
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
psdir = $(docdir)
localedir = $(datarootdir)/locale
htmldir = $(docdir)
datadir = $(datarootdir)
includedir = $(prefix)/include
infodir = $(datarootdir)/info
sysconfdir = $(prefix)/etc
mandir = $(datarootdir)/man
libdir = $(DESTDIR)/usr/local/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
pdfdir = $(docdir)
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(prefix)/var
sitelibdir = $(DESTDIR)/usr/local/lib/ruby/site_ruby/1.8
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = lib$(RUBY_SO_NAME).dll.a
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =   -Wall -I../include -I/usr/local/include 
INCFLAGS = -I. -I. -I/usr/local/lib/ruby/1.8/i386-cygwin -I/home/yoshiki/Ruby/rb-gsl/ext
CPPFLAGS = -DHAVE_RNGEXTRA_RNGEXTRA_H -DHAVE_QRNGEXTRA_QRNGEXTRA_H -DHAVE_OOL_OOL_VERSION_H -DHAVE_JACOBI_H -DHAVE_GSL_GSL_CQP_H -DHAVE_GSL_GSL_MULTIMIN_FSDF_H -DHAVE_NARRAY_H -I/usr/local/lib/ruby/site_ruby/1.8/i386-cygwin -I/usr/local/lib/ruby/site_ruby/1.8/i386-cygwin 
CXXFLAGS = $(CFLAGS) 
DLDFLAGS = -L.   -Wl,--enable-auto-image-base,--enable-auto-import,--export-all 
LDSHARED = gcc -shared -s
AR = ar
EXEEXT = .exe

RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = ruby
arch = i386-cygwin
sitearch = i386-cygwin
ruby_version = 1.8
ruby = /usr/local/bin/ruby
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir) $(sitelibdir)/$(sitearch)
LIBPATH =  -L"." -L"$(libdir)" -L"$(sitelibdir)/$(sitearch)"
DEFFILE = 

CLEANFILES = 
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS =  -L/usr/local/lib -lgsl -lgslcblas -lm
LIBS = $(LIBRUBYARG_SHARED) -lnarray -lgsl -lgsl -lgsl -lbundle_method -lcqp -ljacobi -lool -lqrngextra -lrngextra  -ldl -lcrypt  
SRCS = array.c array_complex.c blas.c blas1.c blas2.c blas3.c block.c bspline.c bundle.c cdf.c cheb.c combination.c common.c complex.c const.c const_additional.c cqp.c deriv.c dht.c diff.c dirac.c eigen.c error.c fcmp.c fft.c fit.c fresnel.c function.c graph.c gsl.c gsl_narray.c histogram.c histogram2d.c histogram3d.c histogram3d_source.c histogram_find.c histogram_oper.c ieee.c integration.c interp.c jacobi.c linalg.c linalg_complex.c math.c matrix.c matrix_complex.c matrix_double.c matrix_int.c min.c monte.c multifit.c multimin.c multimin_fsdf.c multiroots.c ntuple.c odeiv.c ool.c oper_complex_source.c permutation.c poly.c poly2.c qrng.c randist.c rational.c rng.c root.c sf.c sf_airy.c sf_bessel.c sf_clausen.c sf_coulomb.c sf_coupling.c sf_dawson.c sf_debye.c sf_dilog.c sf_elementary.c sf_ellint.c sf_elljac.c sf_erfc.c sf_exp.c sf_expint.c sf_fermi_dirac.c sf_gamma.c sf_gegenbauer.c sf_hyperg.c sf_laguerre.c sf_lambert.c sf_legendre.c sf_log.c sf_mathieu.c sf_power.c sf_psi.c sf_synchrotron.c sf_transport.c sf_trigonometric.c sf_zeta.c signal.c siman.c sort.c spline.c stats.c sum.c tamu_anova.c tensor.c vector.c vector_complex.c vector_double.c vector_int.c wavelet.c
OBJS = array.o array_complex.o blas.o blas1.o blas2.o blas3.o block.o bspline.o bundle.o cdf.o cheb.o combination.o common.o complex.o const.o const_additional.o cqp.o deriv.o dht.o diff.o dirac.o eigen.o error.o fcmp.o fft.o fit.o fresnel.o function.o graph.o gsl.o gsl_narray.o histogram.o histogram2d.o histogram3d.o histogram3d_source.o histogram_find.o histogram_oper.o ieee.o integration.o interp.o jacobi.o linalg.o linalg_complex.o math.o matrix.o matrix_complex.o matrix_double.o matrix_int.o min.o monte.o multifit.o multimin.o multimin_fsdf.o multiroots.o ntuple.o odeiv.o ool.o oper_complex_source.o permutation.o poly.o poly2.o qrng.o randist.o rational.o rng.o root.o sf.o sf_airy.o sf_bessel.o sf_clausen.o sf_coulomb.o sf_coupling.o sf_dawson.o sf_debye.o sf_dilog.o sf_elementary.o sf_ellint.o sf_elljac.o sf_erfc.o sf_exp.o sf_expint.o sf_fermi_dirac.o sf_gamma.o sf_gegenbauer.o sf_hyperg.o sf_laguerre.o sf_lambert.o sf_legendre.o sf_log.o sf_mathieu.o sf_power.o sf_psi.o sf_synchrotron.o sf_transport.o sf_trigonometric.o sf_zeta.o signal.o siman.o sort.o spline.o stats.o sum.o tamu_anova.o tensor.o vector.o vector_complex.o vector_double.o vector_int.o wavelet.o
TARGET = rb_gsl
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
$(RUBYARCHDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h

## libgsl-ruby 1.14.3

=== debian/changelog ===
libgsl-ruby (1.14.3-1) unstable; urgency=low

  [ Deepak Tripathi ]
  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
      + added debian/source
  * Bumped Standard Version to 3.8.4
  * debian/control
      + added myself to uploaders
      + ported to ruby1.9.1
  * debian/patches
      + added patch for bashisum.
      + added patch for min.c's GSL_1_2_LATER checking.
  * debian/
      + added README.source
  * debian/copyright
      + updated copyright file.
      
  [ Daigo Moriwaki ]
  * debian/control: Provides -dbg packages.
  * Removed debian/libgsl-ruby-doc.docs, debian/libgsl-ruby1.8.docs: 
    - Merged to debian/rules.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 15 May 2010 19:25:22 +0900

libgsl-ruby (1.10.3-3) unstable; urgency=low

  * Added debian/patches/20091022-DashAsBinSh-1.10.3.patch:
    Fixed "bashism in /bin/sh script" (Closes: #530117)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 23 Oct 2009 20:18:32 +0900

libgsl-ruby (1.10.3-2) unstable; urgency=low

  [ Daigo Moriwaki ]
  * Applied a patch from Daniel Moerner
    + debian/control:
      - Bumped up Standards-Version to 3.8.3.
      - Added misc:Depends correctly.
    + debian/copyright:
      - Added years of the copyright holder.
      - Updated a pointer to the LGPL file.
  * debian/patches/20091021-GSL_CONST_CGSM_GAUSS-removed-from-upstream-
    libgsl-1.3.patch:
    + Thanks to Daniel Moerner
    + Fixed a FTBFS error. (Closes: #549435)

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 23 Oct 2009 07:41:43 +0900

libgsl-ruby (1.10.3-1) unstable; urgency=low

  [ Daigo Moriwaki ]
  * New upstream release.

  [ Lucas Nussbaum ]
  * Use new Homepage dpkg header.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 21 Dec 2007 12:54:52 +0900

libgsl-ruby (1.9.2-3) unstable; urgency=low

  * Fixed FTBFS: min.c:128: error: static declaration of
    'gsl_min_fminimizer_x_minimum' follows non-static
    declaration (Closes: #443013)
    - Added debian/patches/min.c.patch
    - debian/rules now uses simple-patchsys.mk
  * debian/control: an extra space is required before 'homepage'.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 22 Sep 2007 20:38:59 +0900

libgsl-ruby (1.9.2-2) unstable; urgency=low

  * The bug, libgsl-ruby1.8: Strange behaviour when accessing GSL::Vector
    elements with get() and [], has been fixed by the upstream's new 
    releaase (Closes: #423850).

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 02 Sep 2007 11:56:58 +0900

libgsl-ruby (1.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 02 Sep 2007 11:39:20 +0900

libgsl-ruby (1.9.0-4) unstable; urgency=low

  * debian/control: use shlibs instead of hardconding the dependencies.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 02 Sep 2007 11:32:30 +0900

libgsl-ruby (1.9.0-3) unstable; urgency=low

  * Fixed dependancy: libgsl0 -> libgsl0ldbl.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 27 Aug 2007 21:23:51 +0200

libgsl-ruby (1.9.0-2) unstable; urgency=low

  * A library, rb_gsl.so,  was errornously installed into
    /usr/local/lib/site_ruby/1.8/... Now it will go to
    /usr/lib/site_ruby/1.8/...

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 13 May 2007 14:17:44 +0900

libgsl-ruby (1.9.0-1) unstable; urgency=low

  * New upstream release.
  * The package has been taken over. I am now a primary maintainer.
  * Built with NArray to support NArray compatibilities. Now it depends on
    libnarray-ruby1.8.
  * Stopped using the "Uploaders rule". 

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 16 Apr 2007 22:28:33 +0900

libgsl-ruby (1.8.3-1) unstable; urgency=low

  * Initial release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue,  6 Jun 2006 21:09:15 +0200

=== debian/control ===
Source: libgsl-ruby
Section: ruby
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>= 7.0.0), ruby1.9.1, ruby1.9.1-dev, ruby1.8, ruby1.8-dev, rdoc, graphviz, cdbs, quilt, ruby-pkg-tools (>= 0.17), libgsl0-dev (>= 1.14), plotutils, libnarray-ruby1.8, libnarray-ruby1.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libgsl-ruby/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libgsl-ruby/
Standards-Version: 3.8.4
Homepage: http://rb-gsl.rubyforge.org/

Package: libgsl-ruby1.8
Architecture: any
Depends: ruby1.8, plotutils, libnarray-ruby1.8, ${shlibs:Depends}, ${misc:Depends}
Suggests: libgsl-ruby-doc
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.

Package: libgsl-ruby1.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgsl-ruby1.8 (= ${binary:Version}), ${misc:Depends}
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: libgsl-ruby
Architecture: all
Depends: libgsl-ruby1.8 (>= ${source:Version}), ${misc:Depends}
Suggests: libgsl-ruby-doc
Description: Ruby bindings for the GNU Scientific Library (GSL) (dummy package)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently 1.8.x).

Package: libgsl-ruby-doc
Section: doc
Depends: libgsl-ruby (>= ${source:Version}), ${misc:Depends}
Architecture: all
Description: Documentation for Ruby/GSL (libgsl-ruby)
 This package provides documentation, example scripts and unit tests for
 Ruby/GSL.
 .
 Ruby/GSL is an interface to the GNU Scientific Library for the Ruby
 programming language.
 . 
 This is for ruby 1.8

Package: libgsl-ruby1.9.1
Architecture: any
Depends: ruby1.9.1, plotutils, ${shlibs:Depends}, ${misc:Depends}
Suggests: libgsl-ruby-doc
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 . 
 This is for ruby 1.9.1

Package: libgsl-ruby1.9.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgsl-ruby1.9.1 (= ${binary:Version}), ${misc:Depends}
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 . 
 This is for ruby 1.9.1
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/rules ===
#!/usr/bin/make -f

ruby_ver1.8 = 1.8
ruby_ver1.9.1 = 1.9.1

DEB_DBG_PACKAGE_libgsl-ruby$(ruby_ver1.8) = libgsl-ruby$(ruby_ver1.8)-dbg
DEB_DBG_PACKAGE_libgsl-ruby$(ruby_ver1.9.1) = libgsl-ruby$(ruby_ver1.9.1)-dbg

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_RUBY_CONFIG_ARGS += --siterubyverarch=$(DEB_RUBY_ARCHDIR)

DEB_INSTALL_DOCS_libgsl-ruby-doc += $(DEB_SRCDIR)/examples
DEB_INSTALL_DOCS_libgsl-ruby-doc += $(DEB_SRCDIR)/html
DEB_INSTALL_DOCS_libgsl-ruby-doc += $(DEB_SRCDIR)/tests


# cleanup
binary-install/libgsl-ruby-doc::
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/html/.xvpics
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/fit/*.dat
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/linalg/linalg.replaced
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/gallery/rgplot/rgplot.replaced
	chmod a-x debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/integration/cosmology.rb

=== debian/watch ===
version=3
http://rubyforge.org/frs/?group_id=285 .*rb-gsl-(.*)\.t.*
